Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.cs
Interface UserDefinedCS

All Superinterfaces:
  CoordinateSystem, IdentifiedObject

    @UML(identifier="CS_UserDefinedCS",
         specification=ISO_19111)
    public interface UserDefinedCS

extends CoordinateSystem

A two- or three-dimensional coordinate system that consists of any combination of coordinate axes not covered by any other Coordinate System type. An example is a multilinear coordinate system which contains one coordinate axis that may have any 1-D shape which has no intersections with itself. This non-straight axis is supplemented by one or two straight axes to complete a 2 or 3 dimensional coordinate system. The non-straight axis is typically incrementally straight or curved. A `UserDefinedCS` shall have two or three axis associations.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary

Methods inherited from interface CoordinateSystem
`getAxis, getDimension`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.